<!doctype html>
<html lang="ua">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
</head>
<body>

    <div id="app">

        <div> count = 0 </div>

        <blog-post
                v-for="(post, index) in posts"
                v-bind:title="post.title"
                v-bind:key="index"
        />


    </div>

<script>

    Vue.component('blog-post', {
        props: ['title'],
        template: '<h3> {{ title }} </h3>'
    })

    let vm = new Vue({
        el: '#app',
        data: {
            posts: [
                {title: 'JavaScript'},
                {title: 'PHP'},
                {title: 'Docker'},
            ]
        },
        methods: {
        },
        computed: {
        }
    })
</script>
</body>
</html>
